<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>WarpTree: WarpNodePainter Class Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.0 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li id="current"><a href="annotated.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
  </ul></div>
<div class="tabs">
  <ul>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul></div>
<h1>WarpNodePainter Class Reference</h1><!-- doxytag: class="WarpNodePainter" --><code>#include &lt;<a class="el" href="warptreeview_8h-source.html">warptreeview.h</a>&gt;</code>
<p>
<a href="classWarpNodePainter-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWarpNodePainter.html#41076de244963370e2f4e61105a7aac8">WarpNodePainter</a> (QWidget *)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWarpNodePainter.html#39002063acf86b3d0bf894f8ca2ca49f">~WarpNodePainter</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual QSize&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWarpNodePainter.html#3eb66528377255501bd0ab82875fdcab">getLabelSize</a> (const QModelIndex &amp;index, int depth) const</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWarpNodePainter.html#ac03d5618d4201bf6051c7cf1fc9116c">paintBackground</a> (QPainter &amp;painter, const QSize &amp;size, const <a class="el" href="classWarpTreeNode.html">WarpTreeNode</a> &amp;activeNode)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWarpNodePainter.html#46c80742e66c0416a5f55919b35d7389">paintNode</a> (QPainter &amp;painter, const <a class="el" href="classWarpTreeNode.html">WarpTreeNode</a> &amp;node, bool active, bool loaded, bool hovered)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWarpNodePainter.html#23f5e4153dfb1ac2ea7052631c300230">paintLine</a> (QPainter &amp;painter, const QPoint &amp;parent, const QPoint &amp;node, int depth)</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Class that can show a QAbstractItemModel as a warped tree. 
<p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="41076de244963370e2f4e61105a7aac8"></a><!-- doxytag: member="WarpNodePainter::WarpNodePainter" ref="41076de244963370e2f4e61105a7aac8" args="(QWidget *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">WarpNodePainter::WarpNodePainter           </td>
          <td>(</td>
          <td class="paramtype">QWidget *&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Constructs a new <a class="el" href="classWarpNodePainter.html">WarpNodePainter</a>. Set a model with setModel() to use the <a class="el" href="classWarpTreeView.html">WarpTreeView</a>. <dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>parent</em>&nbsp;</td><td>The parent may not be zero. It is used to determine the font and palette. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="39002063acf86b3d0bf894f8ca2ca49f"></a><!-- doxytag: member="WarpNodePainter::~WarpNodePainter" ref="39002063acf86b3d0bf894f8ca2ca49f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">WarpNodePainter::~WarpNodePainter           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Destroys the <a class="el" href="classWarpNodePainter.html">WarpNodePainter</a>. 
</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="3eb66528377255501bd0ab82875fdcab"></a><!-- doxytag: member="WarpNodePainter::getLabelSize" ref="3eb66528377255501bd0ab82875fdcab" args="(const QModelIndex &amp;index, int depth) const" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QSize WarpNodePainter::getLabelSize           </td>
          <td>(</td>
          <td class="paramtype">const QModelIndex &amp;&nbsp;</td>
          <td class="paramname"> <em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>depth</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Determine the size of a node with given text and icon. 
</div>
</div><p>
<a class="anchor" name="ac03d5618d4201bf6051c7cf1fc9116c"></a><!-- doxytag: member="WarpNodePainter::paintBackground" ref="ac03d5618d4201bf6051c7cf1fc9116c" args="(QPainter &amp;painter, const QSize &amp;size, const WarpTreeNode &amp;activeNode)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WarpNodePainter::paintBackground           </td>
          <td>(</td>
          <td class="paramtype">QPainter &amp;&nbsp;</td>
          <td class="paramname"> <em>painter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QSize &amp;&nbsp;</td>
          <td class="paramname"> <em>size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classWarpTreeNode.html">WarpTreeNode</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>activeNode</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Paint the background of the widget. 
</div>
</div><p>
<a class="anchor" name="46c80742e66c0416a5f55919b35d7389"></a><!-- doxytag: member="WarpNodePainter::paintNode" ref="46c80742e66c0416a5f55919b35d7389" args="(QPainter &amp;painter, const WarpTreeNode &amp;node, bool active, bool loaded, bool hovered)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WarpNodePainter::paintNode           </td>
          <td>(</td>
          <td class="paramtype">QPainter &amp;&nbsp;</td>
          <td class="paramname"> <em>painter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classWarpTreeNode.html">WarpTreeNode</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>node</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>active</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>loaded</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>hovered</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Paint one node. <dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>painter</em>&nbsp;</td><td></td></tr>
    <tr><td valign="top"></td><td valign="top"><em>node</em>&nbsp;</td><td></td></tr>
    <tr><td valign="top"></td><td valign="top"><em>active</em>&nbsp;</td><td></td></tr>
    <tr><td valign="top"></td><td valign="top"><em>loaded</em>&nbsp;</td><td></td></tr>
    <tr><td valign="top"></td><td valign="top"><em>hovered</em>&nbsp;</td><td></td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="23f5e4153dfb1ac2ea7052631c300230"></a><!-- doxytag: member="WarpNodePainter::paintLine" ref="23f5e4153dfb1ac2ea7052631c300230" args="(QPainter &amp;painter, const QPoint &amp;parent, const QPoint &amp;node, int depth)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WarpNodePainter::paintLine           </td>
          <td>(</td>
          <td class="paramtype">QPainter &amp;&nbsp;</td>
          <td class="paramname"> <em>painter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QPoint &amp;&nbsp;</td>
          <td class="paramname"> <em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QPoint &amp;&nbsp;</td>
          <td class="paramname"> <em>node</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>depth</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Paint the line connecting two nodes. 
</div>
</div><p>
<hr>The documentation for this class was generated from the following files:<ul>
<li>src/<a class="el" href="warptreeview_8h-source.html">warptreeview.h</a><li>src/warptreeview.cpp</ul>
<hr size="1"><address style="align: right;"><small>Generated on Sat Jun 2 19:18:06 2007 for WarpTree by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.0 </small></address>
</body>
</html>
